/*
 * Package database manipulation routines.
 * This file is part of fdnpkg
 * 
 * Copyright (C) Mateusz Viste 2012
 */

#ifndef pkgdb_sentinel
#define pkgdb_sentinel

struct pkgrepo {
  char *repo;
  char version[16];
  struct pkgrepo *nextrepo;
};

struct pkgdb {
  char name[9];
  char desc[64];
  struct pkgrepo *repolist;
  struct pkgdb *nextpkg;
};


struct pkgdb *createdb();
void freedb(struct pkgdb **db);
struct pkgdb *findpkg(struct pkgdb *db, char *pkgname, struct pkgdb **lastmatch);
int loaddb(struct pkgdb *db, char *datafile, char *repo);

#endif
